dpp::moving_averager
discordvoiceclient.h
uint64_t uint64_t dpp::moving_averager::collectionCount collectionCount dpp::moving_averager::collectionCount {}
std::deque< int64_t > std::deque<int64_t> dpp::moving_averager::values values dpp::moving_averager::values {}
dpp::moving_averager::moving_averager
()=default
moving_averager
dpp::moving_averager::moving_averager
dpp::moving_averager::moving_averager
(uint64_t collection_count_new)
moving_averager
dpp::moving_averager::moving_averager
uint64_t collection_count_new
dpp::moving_averager::operator float
()
operator float
dpp::moving_averager::operator float
moving_averager moving_averager dpp::moving_averager::operator+= (int64_t value) operator+= dpp::moving_averager::operator+= int64_t value
T
dpp::moving_averager
values
collectionCount
int64_t
std::deque< T >
elements
std::deque< int64_t >
elements
< int64_t >
uint64_t
- dpp::moving_averager
  collectionCount
- dpp::moving_averager
  moving_averager
- dpp::moving_averager
  moving_averager
- dpp::moving_averager
  operator float
- dpp::moving_averager
  operator+=
- dpp::moving_averager
  values